tt_otype_hsig_arg_mode(library call)

NAME
tt_otype_hsig_arg_mode — return the mode of an argument of a request signature of an otype

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_mode tt_otype_hsig_arg_mode(
const char *otype,
int sig,
int arg);

DESCRIPTION

The tt_otype_hsig_arg_mode function returns the mode of the argth argument of the sigth request signature of the given otype.

The otype argument is the object type involved in this operation. The sig argument is the zero-based index into the request signatures of the specified otype. The arg argument is the zero-based index into the arguments of the specified signature.

RETURN VALUE

Upon successful completion, the tt_otype_hsig_arg_mode function returns a value that determines who (sender or handler) writes and reads a message argument. The following modes are defined:

TT_IN
    The argument is written by the sender and read by the handler and any observers.

TT_OUT
    The argument is written by the handler and read by the sender and any reply observers.

TT_INOUT
    The argument is written by the sender and the handler and read by all.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_mode integer return value:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_otype_hsig_arg_type(3), tt_otype_hsig_count(3), tt_otype_hsig_args_count(3), tt_otype_hsig_op(3), tt_int_error(3).